//
//  PSCapsuledTextView.h
//  Utilis
//
//  Created by Paul Schifferer on 4/18/11.
//  Copyright 2011 Pilgrimage Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>


typedef enum _PSCapsuledTextAlignment {
    PSCapsuledTextLeftAligned,
    PSCapsuledTextCentered,
    PSCapsuledTextRightAligned
} PSCapsuledTextAlignment;

typedef enum _PSCapsuledTextFill {
    PSCapsuledTextFillSufficient,
    PSCapsuledTextFillFull
} PSCapsuledTextFill;

@interface PSCapsuledTextView : NSView {
    
@private
    NSString* stringValue;
    
    NSColor* textColor;
    NSColor* capsuleColor;
    
    PSCapsuledTextAlignment alignment;
    PSCapsuledTextFill fill;
}

@property (nonatomic, copy) NSString* stringValue;

@property (nonatomic, copy) NSColor* textColor;
@property (nonatomic, copy) NSColor* capsuleColor;

@property (nonatomic, assign) PSCapsuledTextAlignment alignment;
@property (nonatomic, assign) PSCapsuledTextFill fill;

@end
